root.hist2D {xps} | R Documentation

## ROOT 2D-Histogram

### Description

Creates a ROOT 2D-histogram for a ROOT tree.

### Usage

    root.hist2D(x, treename1 = character(0), treename2 = character(0),logbase = "log2", option = "COLZ", canvasname = "Histogram2D", save.as = "", w = 540, h = 540)

### Arguments

`x` | object of class `DataTreeSet` or `ExprTreeSet`.
`treename1` | name of first tree, must be present in `rootfile` of object `x`.
`treename2` | name of second tree, must be present in `rootfile` of object `x`.
`logbase` | usually “log2”, or “0”, determines if leaf data should be converted to log.
`option` | ROOT hist TH2 option, usually one of “SCAT”, “COLZ”, “BOX”, “SURF2”, “SURF3”.
`canvasname` | name of ROOT canvas
`save.as` | gaphics tye for saving canvas, one of “ps”, “eps”, “pdf”, “jpg”, “gif”, “png”, “tiff”
`w` | the width of the canvas in pixels.
`h` | the height of the canvas in pixels.

### Details

Creates a ROOT 2D-histogram for trees `treename1` and `treename2` present in `rootfile`.

By selecting menu “File->Save->canvasname.xxx” you can save the figure as e.g. *gif, *.jpg, *.pdf, *.ps or even as C++ macro.

Alternatively, you can save the plot by setting `save.as`. However, this will close the canvas immediately after opening it.

### Note

Always select menu item “Quit ROOT” from menu “File” to close the ROOT canvas, otherwise you are in the CINT C/C++ interpreter from `ROOT`. To exit CINT, you need to type “.q”.

### Author(s)

Christian Stratowa

### See Also

`root.hist1D`, `root.hist3D`

### Examples

    ## Not run:
    ## first, load ROOT scheme file and ROOT data file
    scheme.test3 <- root.scheme(paste(.path.package("xps"),"schemes/SchemeTest3.root",sep="/"))
    data.test3 <- root.data(scheme.test3, paste(.path.package("xps"),"rootdata/DataTest3_cel.root",sep="/"))

    root.hist2D(data.test3, "TestA1.cel", "TestB1.cel", option="COLZ")
    ## End(Not run)

[Package xps version 1.2.10 Index]